#include <stdio.h>
#include <stdlib.h>
#include <string.h>

// Global variables

char g_exampleVariable[30] = "Global Example Variable"; // Only, if this is necessary

void showUsageInformation() {
	printf("\n");
	printf("Majops Skeleton Script C is the base for making new scripts in C. \n");
	printf("For this Majops Skeleton Script C, an executable file has to be made first. \n");
	printf("Therefore, it has to be compiled by typing: \n");
	printf("\n");
	printf("gcc [C script file name with .c extension] -o [C script file name without .c extension] \n");
	printf("\n");
	printf("The generated executable file can be started by typing: \n");
	printf("\n");
	printf("./[C script file name without any extension] \n");
	printf("\n"); 
	printf("To generate an executable file for this Majops Skeleton Script C, you have to type: \n");
	printf("\n"); 
	printf("gcc MajopsSkeletonScriptC.c -o MajopsSkeletonScriptC \n");
	printf("\n");
	printf("To start the generated executable file for this Majops Skeleton Script C, you have to type: \n");
	printf("\n"); 
	printf("./MajopsSkeletonScriptC \n");
	printf("\n");
	printf("The user has to type here what the C script can perform and does. \n");
	printf("\n");
	printf("Way of usage: \n");
	printf("\n");
	printf("The user has to type here how he has to work with the C script and \n");
	printf("how the command line arguments are used. \n");
	printf("\n");
	printf("Example: \n");
	printf("\n");
	printf("gcc MajopsSkeletonScriptC.c -o MajopsSkeletonScriptC \n");
	printf("./MajopsSkeletonScriptC input1.txt input2.csv 10 output.csv \n");
	printf("\n");
	
	exit(0);
}

// From here till the main function, functions have to be programmed. 
// An example function: showHelloWorld
void showHelloWorld(char helloWorld[]) {
	printf("\n");
	puts(helloWorld);
	printf("\n");
	puts(g_exampleVariable);
	printf("\n");
}

// The last function is always the main function, in which only other functions are called.
int main(int argc, char *argv[], char *envp[]) {
	if (argc >= 2) {
		if (strcmp(argv[1], "-h") || strcmp(argv[1], "--h") || strcmp(argv[1], "-help") || strcmp(argv[1], "--help")) {
			showUsageInformation();
		}
	}
	
	char helloToUser[20] = "Hello World!"; 
	
	showHelloWorld(helloToUser);
	
	return 0;
}

// Additional information:
// =======================
//
// Remarks about the Majops Skeleton Script C itself.
// Description how it works.
// Description which improvements can be done to improve the Majops Skeleton Script C itself.
//


