public class MajopsSkeletonScriptJava {

	// Global variables.
	private static String g_exampleVariable = "Global Example Variable"; // Only, if this is necessary
	
	public static void showUsageInformation() {
		System.out.println();
		System.out.println("Majops Skeleton Script Java is the base for making new scripts in Java.");
		System.out.println("For this Majops Skeleton Script Java, a class file has to be made first.");
		System.out.println("Therefore, it has to be compiled by typing:");
		System.out.println();
		System.out.println("javac [Java script file name with .java extension]");
		System.out.println();
		System.out.println("The generated class file can be started by typing:");
		System.out.println();
		System.out.println("java [Java script file name without any extension]");
		System.out.println();
		System.out.println("To generate a class file for this Majops Skeleton Script Java, you have to type:");
		System.out.println();
		System.out.println("javac MajopsSkeletonScriptJava.java");
		System.out.println();
		System.out.println("To start the generated class file for this Majops Skeleton Script Java, you have to type:");
		System.out.println();
		System.out.println("java MajopsSkeletonScriptJava");
		System.out.println();
		System.out.println("The user has to type here what the Java script can perform and does.");
		System.out.println();
		System.out.println("Way of usage:");
		System.out.println();
		System.out.println("The user has to type here how he has to work with the Java script and");
		System.out.println("how the command line arguments are used.");
		System.out.println();
		System.out.println("Example:");
		System.out.println();
		System.out.println("javac MajopsSkeletonScriptJava.java");
		System.out.println("java MajopsSkeletonScriptJava input1.txt input2.csv 10 output.csv");
		System.out.println();
		
		System.exit(0);
	}

	// From here till the main function, functions have to be programmed. 
	// An example function: showHelloWorld
	public static void showHelloWorld(String helloWorld) {
		System.out.println();
		System.out.println(helloWorld);
		System.out.println();
		System.out.println(g_exampleVariable);
		System.out.println();
	}
	
	// The last function is always the main function, in which only other functions are called.
	public static void main(String[] args) {
		if (args.length >= 1) {
			if (args[0].equals("-h") || args[0].equals("--h") || 
				args[0].equals("-help") || args[0].equals("--help")) {
				showUsageInformation();
			}
		}
		
		String helloToUser = "Hello World!";
		
		showHelloWorld(helloToUser); // Example of a method.
	}
	
	// Additional information:
	// =======================
	// 
	// Remarks about the Majops Skeleton Script Java itself.
	// Description how it works.
	// Description which improvements can be done to improve the Majops Skeleton Script Java itself.
	// 
}
