#!/usr/bin/ruby

# Global variables

$g_exampleVariable = "Global Example Variable" # Only, if this is necessary

def showUsageInformation()
	puts "" 
	puts "Majops Skeleton Script Ruby is the base for making new scripts in Ruby." 
	puts "The user has to type here what the Ruby script can perform and does."
	puts "" 
	puts "Way of usage:"
	puts "" 
	puts "The user has to type here how he has to work with the Ruby script and"
	puts "how the command line arguments are used."
	puts ""
	puts "Example:"
	puts ""
	puts "ruby MajopsSkeletonScriptRuby.rb input1.txt input2.csv 10 output.csv"
	puts ""
	
	exit
end

# From here till the main function, functions have to be programmed. 
# An example function: showHelloWorld
def showHelloWorld(helloWorld)
	puts ""
	puts helloWorld
	puts ""
	puts $g_exampleVariable
	puts ""
end

# The last function is always the main function, in which only other functions are called.
def main()
	if ARGV.size >= 1 then
		if ARGV[0] == "-h" || ARGV[0] == "--h" || ARGV[0] == "-help" || ARGV[0] == "--help" then
			showUsageInformation
		end
	end
	
	helloToUser = "Hello World!"
	
	showHelloWorld(helloToUser) # Example of a function.
end

main

# Additional information:
# =======================
#
# Remarks about the Majops Skeleton Script Ruby itself.
# Description how it works.
# Description which improvements can be done to improve the Majops Skeleton Script Ruby itself.
#

